Skip to main content
PATCH
/
api
/
live
/
inputs
/
{id}
Update a live input
curl --request PATCH \
  --url https://convertly.sh/api/live/inputs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "reconnectWindowSeconds": 300,
  "requireSignedPlayback": true,
  "allowedDomains": [
    "<string>"
  ]
}
'
{
  "liveInput": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "inputSlug": "<string>",
    "playbackId": "<string>",
    "enabled": true,
    "reconnectWindowSeconds": 123,
    "requireSignedPlayback": true,
    "allowedDomains": [
      "<string>"
    ],
    "streamKeyPrefix": "<string>",
    "ingest": {
      "rtmpUrl": "<string>",
      "srtUrl": "<string>",
      "obsServer": "<string>",
      "obsStreamKey": "<string>"
    },
    "playback": {
      "hlsUrl": "<string>",
      "webRtcUrl": "<string>",
      "playbackId": "<string>"
    },
    "lastStartedAt": "2023-11-07T05:31:56Z",
    "lastEndedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "streamKey": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Maximum string length: 120
enabled
boolean
recordMode
enum<string>
Available options:
off,
automatic
reconnectWindowSeconds
integer
Required range: 0 <= x <= 600
requireSignedPlayback
boolean
allowedDomains
string[]
Maximum array length: 25

Response

Live input updated

liveInput
object
streamKey
string

Returned only on creation or key rotation.